<odoo>
    <record id="view_sos_batch_allotment_form" model="ir.ui.view">
        <field name="name">sos_batch_allotment_form</field>
        <field name="model">sos_batch_allotment_register</field>
        <field name="arch" type="xml">
            <form string="Batch Allotment Register">
                <sheet>
                    <group>
                          <field name="alloted_date"/>
                                    <field name="sfg_name"/>
                                    <field name="fg_ref_no"/>
                                    <field name="batch_no"/>
                                    <field name="mfg_date"/>
                                    <field name="batch_size"/>
                                    <field name="qa_incharge"/>
                    </group>
        
                </sheet>
            </form>
        </field>
    </record>

    <record id="view_sos_batch_allotment_tree" model="ir.ui.view">
        <field name="name">sos.batch.allotment.tree</field>
        <field name="model">sos_batch_allotment_register</field>
        <field name="arch" type="xml">
            <tree string="Batch Allotment Register">
                 <field name="alloted_date"/>
                                    <field name="sfg_name"/>
                                    <field name="fg_ref_no"/>
                                    <field name="batch_no"/>
                                    <field name="mfg_date"/>
                                    <field name="batch_size"/>
                                    <field name="qa_incharge"/>
                                    <field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
            </tree>
        </field>
    </record>

    <record id="action_sos_batch_allotment" model="ir.actions.act_window">
        <field name="name">Batch Allotment Register</field>
        <field name="res_model">sos_batch_allotment_register</field>
        <field name="view_mode">tree,form</field>
        <field name="view_id" ref="view_sos_batch_allotment_tree"/>
    </record>

    <menuitem id="menu_sos_batch_allotment" name="Batch Allotment Register"
              parent="mop_forms_menu_root"
              action="action_sos_batch_allotment" groups="sos_inventory.sos_scg_group_user,sos_inventory.sos_qc_user,sos_inventory.sos_management_user"/>
</odoo>
